ubuntu-cloud.archive: swift3 is no longer in swift-proxy

Bug #1061064 reported by Ryan Finnie on 2012-10-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
swift (Ubuntu)
Undecided
Unassigned

Bug Description

Swift 1.7.0 has dropped support for swift3, and there is no packaged replacement in cloud archive. Likely many people upgrading from precise to cloud archive will be relying on S3 emulation, so this could be a concern.

The (small c) canonical egg appears to be https://github.com/fujita/swift3 -- could we either:

1) Integrate it into the swift-proxy package, or more likely:

2) Package swift3 and Recommend: it from swift-proxy.

Thanks!

Chuck Short (zulcss) wrote :

Have you looked at swift-s3-plugin yet?

affects: keystone (Ubuntu) → swift (Ubuntu)
Ryan Finnie (fo0bar) wrote :

ITYM swift-plugin-s3. Ahh no, didn't notice it because I've been looking at precise. Is it possible to make this available in ubuntu-cloud.archive precise-updates/folsom?

Chuck Short (zulcss) wrote :

Should already be there.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swift - 1.7.4-0ubuntu2

---------------
swift (1.7.4-0ubuntu2) quantal; urgency=low

  * debian/control: Conflicts/Breaks on swift 1.6.0-ubuntu1 when upgrading
    from precise, since the swift client has been moved to python-swiftclient.
    (LP: #1061064)
 -- Chuck Short <email address hidden> Thu, 11 Oct 2012 09:06:02 -0500

Changed in swift (Ubuntu):
status: New → Fix Released
Ryan Finnie (fo0bar) wrote :

Ahh, looks like it was added to precise-updates/folsom on the 1st. I could have sworn I had checked that, but this bug report hasn't been one of my high points, sorry.

As for the commit above, did you mean Bug #1062160, not this one?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers